title: Navigation
label: Navigation
preview: '@preview--nogrid'
status: live

context:
  exampleMultiColumns: "false"
  component-type: block

variants:
  - name: default
    hidden: true

  - name: global
    context:
      classModifier: global
      navigation:
        - text: Services
          navigation_href: JavaScript:Void(0);
        - text: Research
          navigation_href: JavaScript:Void(0);
        - text: Training
          navigation_href: JavaScript:Void(0);
        - text: About us
          navigation_href: JavaScript:Void(0);

  - name: main
    context:
      classModifier: main
      navigation:
        - text: Home
          navigation_href: JavaScript:Void(0);
          currentPage: balls
        - text: Download
          navigation_href: JavaScript:Void(0);
        - text: Release Notes
          navigation_href: JavaScript:Void(0);
        - text: FAQ
          navigation_href: JavaScript:Void(0);
        - text: Help
          navigation_href: JavaScript:Void(0);
        - text: Licence
          navigation_href: JavaScript:Void(0);
        - text: About
          navigation_href: JavaScript:Void(0);
        - text: Feedback
          navigation_href: JavaScript:Void(0);

  - name: on-this-page
    hidden: false
    status: alpha
    context:
      heading: On this page
      classModifier: on-this-page
      activateJavascript: false
      navigation:
        - text: Anchor 1
          navigation_href: "#container-1"
        - text: Anchor 2
          navigation_href: "#container-2"
          currentSection: true
        - text: Anchor 3
          navigation_href: "#container-3"

  - name: on-this-page--example
    context:
      isExample: true
      heading: On this page
      classModifier: on-this-page
      activateJavascript: true
      navigation:
        - text: Home
          navigation_href: "#container-1"
          currentSection: true
        - text: Download
          navigation_href: "#container-2"
        - text: Release notes
          navigation_href: "#container-3"
        - text: Another item
          navigation_href: "#container-4"
